
#ifndef ACCOUNTS_H
#define ACCOUNTS_H

#include <pthread.h>

class Accounts
{
	pthread_mutex_t mutex;

public:
	Accounts();
	~Accounts();

	void add(const char *ID, const char *passwd,
		const char *eMail);
	void changePassword(const char *ID, const char *passwd);
	void check(const char *ID, const char *passwd);

private:
	void getByID(const char *ID, char *passwd, char *eMail, int size);
	char *replaceColons(char *str);
};

extern Accounts *accounts;

#endif
