
// Project: webCDwriter - Network CD Writing
// Author: Jrg Haeger, 15.05.2001

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;

public class OpenDialog extends Dialog
{
	public OpenDialog()
	{
		super("ODTitle");

		JPanel panel = new JPanel()
		{
			public Insets getInsets() {
				return new Insets(10, 10, 10, 10);
			}
		};
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		projects = new ListProjects();
		try {
			projects.exec();
		} catch (CommandError e) {}
		list = new JList(projects.getStrings());
		list.addListSelectionListener(new ListSelectionListener()
		{
			public void valueChanged(ListSelectionEvent e)
			{
				int index = list.getSelectedIndex();
			}
		});
		list.setAlignmentX(LEFT_ALIGNMENT);
		panel.add(list);

		getContentPane().add(panel, BorderLayout.CENTER);
		getContentPane().add(createControlPanel("ODOpen"),
			BorderLayout.SOUTH);
		pack();
	}

	protected boolean apply()
	{
		String value = (String)list.getSelectedValue();
		if (value == null)
			return false;
		State.sessionID = value;
		return true;
	}

	int getNumOfTracks()
	{
		return projects.getNumOfTracks(list.getSelectedIndex());
	}

	private JList list;
	private ListProjects projects;
}
