
// Project: webCDwriter - Network CD Writing
// Author: Jrg Haeger
//	Joerg.Haeger@Uni-Bielefeld.de

import java.io.*;
import netscape.security.PrivilegeManager;

class SecFile extends File2
{
	public SecFile(File parent, String child)
	{
		super(parent, child);
	}

	public SecFile(String pathname)
	{
		super(pathname);
	}

	public boolean canRead()
	{
		if (CDcreator.isNetscapeVM())
		try {
			PrivilegeManager.enablePrivilege(
				"UniversalFileRead");
		}
		catch (Exception e) {
		}
		return super.canRead();
	}

	public boolean isDirectory()
	{
		if (CDcreator.isNetscapeVM())
		try {
			PrivilegeManager.enablePrivilege(
				"UniversalFileRead");
		}
		catch (Exception e) {
		}
		return super.isDirectory();
	}

	public long length()
	{
		if (CDcreator.isNetscapeVM())
		try {
			PrivilegeManager.enablePrivilege(
				"UniversalFileRead");
		}
		catch (Exception e) {
		}
		return super.length();
	}

	public File[] listFiles()
	{
		if (CDcreator.isNetscapeVM())
		try {
			PrivilegeManager.enablePrivilege(
				"UniversalFileRead");
		}
		catch (Exception e) {
		}

		String names[] = list();
		if (names == null)
			return null;

		File[] files = new File[names.length];
		for (int i = 0; i < files.length; i++)
			files[i] = new SecFile(this, names[i]);
		return files;
	}
}
